apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: addon-observability
  namespace: flux-system
spec:
  interval: 10m
  prune: true
  sourceRef:
    kind: GitRepository
    name: platform
  path: ./infrastructure/addons/observability
  dependsOn:
    - name: addon-external-secrets
    - name: addon-tailscale-operator
    - name: addon-tailscale-proxyclass
  wait: false
  healthChecks:
    - apiVersion: helm.toolkit.fluxcd.io/v2
      kind: HelmRelease
      name: kube-prometheus-stack
      namespace: flux-system
    - apiVersion: helm.toolkit.fluxcd.io/v2
      kind: HelmRelease
      name: loki
      namespace: flux-system
    - apiVersion: helm.toolkit.fluxcd.io/v2
      kind: HelmRelease
      name: promtail
      namespace: flux-system
  timeout: 5m
  suspend: false
